petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetType

Sets the method for the unconstrained minimization solver.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetType(Tao tao, TaoType type)

Collective on Tao

### Input Parameters

| solver | - the Tao solver context
| type | - a known method

### Options Database Key

-tao_type <type> -Sets the method; use -help for a list of available methods (for instance, "-tao_type lmvm" or "-tao_type tron")

### Available methods include

| nls | - Newton's method with line search for unconstrained minimization
| ntr | - Newton's method with trust region for unconstrained minimization
| ntl | - Newton's method with trust region, line search for unconstrained minimization
| lmvm | - Limited memory variable metric method for unconstrained minimization
| cg | - Nonlinear conjugate gradient method for unconstrained minimization
| nm | - Nelder-Mead algorithm for derivate-free unconstrained minimization
| tron | - Newton Trust Region method for bound constrained minimization
| gpcg | - Newton Trust Region method for quadratic bound constrained minimization
| blmvm | - Limited memory variable metric method for bound constrained minimization
| pounders | - Model-based algorithm pounder extended for nonlinear least squares

### See Also

TaoCreate(), TaoGetType(), TaoType

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages